RDKit: RDKit::MolDraw2D_detail::DrawShape Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::MolDraw2D_detail::DrawShape Class Referenceabstract

`#include <DrawShape.h>`

Inheritance diagram for RDKit::MolDraw2D_detail::DrawShape:

## Public Member Functions
| DrawShape (const std::vector< Point2D > &points, double lineWidth=2.0, bool scaleLineWidth=false, DrawColour lineColour=DrawColour(0, 0, 0), bool fill=false, int atom1=-1, int atom2=-1, int bond=-1)
| DrawShape (const DrawShape &)=delete
| DrawShape (DrawShape &&)=delete
virtual | ~DrawShape ()=default
DrawShape & | operator= (const DrawShape &)=delete
DrawShape & | operator= (DrawShape &&)=delete
void | draw (MolDraw2D &drawer)
virtual void | myDraw (MolDraw2D &drawer) const =0
virtual void | findExtremes (double &xmin, double &xmax, double &ymin, double &ymax) const
virtual void | scale (const Point2D &scale_factor)
virtual void | move (const Point2D &trans)
virtual bool | doesRectClash (const StringRect &rect, double padding) const

## Public Attributes
std::vector< Point2D > | points_
double | lineWidth_
bool | scaleLineWidth_
DrawColour | lineColour_
bool | fill_
int | atom1_
int | atom2_
int | bond_

## Detailed Description

Definition at line 35 of file DrawShape.h.

## Constructor & Destructor Documentation

## ◆ DrawShape() [1/3]

RDKit::MolDraw2D_detail::DrawShape::DrawShape | ( | const std::vector< Point2D > & | points,
|  | double | lineWidth = 2.0,
|  | bool | scaleLineWidth = false,
|  | DrawColour | lineColour = DrawColour(0, 0, 0),
|  | bool | fill = false,
|  | int | atom1 = -1,
|  | int | atom2 = -1,
|  | int | bond = -1 )

Referenced by DrawShape(), DrawShape(), operator=(), and operator=().

## ◆ DrawShape() [2/3]

RDKit::MolDraw2D_detail::DrawShape::DrawShape | ( | const DrawShape & |  | ) |
| delete

References DrawShape().

## ◆ DrawShape() [3/3]

RDKit::MolDraw2D_detail::DrawShape::DrawShape | ( | DrawShape && |  | ) |
| delete

References DrawShape().

## ◆ ~DrawShape()

virtual RDKit::MolDraw2D_detail::DrawShape::~DrawShape | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ doesRectClash()

virtual bool RDKit::MolDraw2D_detail::DrawShape::doesRectClash | ( | const StringRect & | rect,
|  | double | padding ) const
| virtual

Reimplemented in RDKit::MolDraw2D_detail::DrawShapeArc, RDKit::MolDraw2D_detail::DrawShapeArrow, RDKit::MolDraw2D_detail::DrawShapeDashedWedge, RDKit::MolDraw2D_detail::DrawShapeEllipse, RDKit::MolDraw2D_detail::DrawShapePolyLine, RDKit::MolDraw2D_detail::DrawShapeSimpleLine, RDKit::MolDraw2D_detail::DrawShapeSolidWedge, and RDKit::MolDraw2D_detail::DrawShapeWavyLine.

## ◆ draw()

void RDKit::MolDraw2D_detail::DrawShape::draw | ( | MolDraw2D & | drawer | ) |

## ◆ findExtremes()

virtual void RDKit::MolDraw2D_detail::DrawShape::findExtremes | ( | double & | xmin,
|  | double & | xmax,
|  | double & | ymin,
|  | double & | ymax ) const
| virtual

Reimplemented in RDKit::MolDraw2D_detail::DrawShapeArc, RDKit::MolDraw2D_detail::DrawShapeArrow, RDKit::MolDraw2D_detail::DrawShapeDashedWedge, and RDKit::MolDraw2D_detail::DrawShapeEllipse.

## ◆ move()

virtual void RDKit::MolDraw2D_detail::DrawShape::move | ( | const Point2D & | trans | ) |
| virtual

Reimplemented in RDKit::MolDraw2D_detail::DrawShapeArc, RDKit::MolDraw2D_detail::DrawShapeArrow, RDKit::MolDraw2D_detail::DrawShapeDashedWedge, and RDKit::MolDraw2D_detail::DrawShapeEllipse.

## ◆ myDraw()

virtual void RDKit::MolDraw2D_detail::DrawShape::myDraw | ( | MolDraw2D & | drawer | ) | const
| pure virtual

Implemented in RDKit::MolDraw2D_detail::DrawShapeArc, RDKit::MolDraw2D_detail::DrawShapeArrow, RDKit::MolDraw2D_detail::DrawShapeDashedWedge, RDKit::MolDraw2D_detail::DrawShapeEllipse, RDKit::MolDraw2D_detail::DrawShapePolyLine, RDKit::MolDraw2D_detail::DrawShapeSimpleLine, RDKit::MolDraw2D_detail::DrawShapeSolidWedge, and RDKit::MolDraw2D_detail::DrawShapeWavyLine.

## ◆ operator=() [1/2]

DrawShape & RDKit::MolDraw2D_detail::DrawShape::operator= | ( | const DrawShape & |  | ) |
| delete

References DrawShape().

## ◆ operator=() [2/2]

DrawShape & RDKit::MolDraw2D_detail::DrawShape::operator= | ( | DrawShape && |  | ) |
| delete

References DrawShape().

## ◆ scale()

virtual void RDKit::MolDraw2D_detail::DrawShape::scale | ( | const Point2D & | scale_factor | ) |
| virtual

Reimplemented in RDKit::MolDraw2D_detail::DrawShapeArrow, RDKit::MolDraw2D_detail::DrawShapeDashedWedge, and RDKit::MolDraw2D_detail::DrawShapeWavyLine.

## Member Data Documentation

## ◆ atom1_

int RDKit::MolDraw2D_detail::DrawShape::atom1_

Definition at line 60 of file DrawShape.h.

## ◆ atom2_

int RDKit::MolDraw2D_detail::DrawShape::atom2_

Definition at line 60 of file DrawShape.h.

## ◆ bond_

int RDKit::MolDraw2D_detail::DrawShape::bond_

Definition at line 60 of file DrawShape.h.

## ◆ fill_

bool RDKit::MolDraw2D_detail::DrawShape::fill_

Definition at line 59 of file DrawShape.h.

## ◆ lineColour_

DrawColour RDKit::MolDraw2D_detail::DrawShape::lineColour_

Definition at line 58 of file DrawShape.h.

## ◆ lineWidth_

double RDKit::MolDraw2D_detail::DrawShape::lineWidth_

Definition at line 56 of file DrawShape.h.

## ◆ points_

std::vector<Point2D> RDKit::MolDraw2D_detail::DrawShape::points_

Definition at line 55 of file DrawShape.h.

## ◆ scaleLineWidth_

bool RDKit::MolDraw2D_detail::DrawShape::scaleLineWidth_

Definition at line 57 of file DrawShape.h.

The documentation for this class was generated from the following file:

- DrawShape.h